SNMPTABLE(1)

NAME
snmptable - obtain and print an SNMP table

SYNOPSIS
snmptable [COMMON OPTIONS] TABLE-OID

DESCRIPTION
snmptable is an SNMP application that repeatedly uses the SNMP GETNEXT or GETBULK requests to query for information on a network entity. The parameter TABLE-OID must specify an SNMP table.

OPTIONS

-Cb Display only a brief heading. Any common prefix of the table field names will be deleted.

-CB Do not use GETBULK requests to retrieve data, only GETNEXT.

-Cf STRING
    The string STRING is used to separate table columns. With this option, each table entry will be printed in compact form, just with the string given to separate the columns (useful if you want to import it into a database). Otherwise it is printed in nicely aligned columns.

-Ch Display only the column headings.

-CH Do not display the column headings.

-Ci This option prepends the index of the entry to all printed lines.

-Cw WIDTH
    Specifies the width of the lines when the table is printed. If the lines will be longer, the table will be printed in sections of at most WIDTH characters.

In addition to these options, snmptable takes the common options described in the snmpcmd(1) manual page.

EXAMPLES
$ snmptable localhost public at.attable SNMP table: at.atTable atIfIndex atPhysAddress atNetAddress
        1 8:0:20:20:0:ab 130.225.243.33

$ snmptable localhost public -Cf + at.attable SNMP table: at.atTable atIfIndex+atPhysAddress+atNetAddress 1+8:0:20:20:0:ab+130.225.243.33

BUGS
The test for TABLE-OID actually specifying a table is rather heuristic. Note also that the test requires the defining MIB file to be loaded.

SEE ALSO
snmpcmd(1), variables(5).